/* 
 * @Program that Transforms an XML File with XSL
 * XMLtoXSL.java 
 * Author:-RoseIndia Team
 * Date:-23-July-2008
 */

import java.io.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;

public class XMLtoXSL {

    public static void main(String[] args) throws Exception {
        new XMLtoXSL().xsl("t.xml", "gt.xml", "newstylesheet1.xsl");
    }

    public void xsl(String inputFilename, String outputFilename, String xslFilename)
            throws Exception {
        TransformerFactory factory = TransformerFactory.newInstance();
        Templates template = factory.newTemplates(new StreamSource(
                new FileInputStream(xslFilename)));
        Transformer xformer = template.newTransformer();
        Source source = new StreamSource(new FileInputStream(inputFilename));
        Result result = new StreamResult(new FileOutputStream(outputFilename));
        xformer.transform(source, result);
    }
}


